[SOLVED] Unable to compile Cafu on Arch 64-bit

Get help with installing and running the Cafu Engine here. This forum is also for general questions and discussion of all aspects regarding the Cafu Engine.
Post Reply
joe
Posts: 5
Joined: 2011-11-24, 12:48

[SOLVED] Unable to compile Cafu on Arch 64-bit

Post by joe » 2012-02-28, 14:41

Hello,

I'm one of the programmers in Haimi's team (you surely know him ^^) and I tried to compile Cafu on Arch Linux x64. Unfortunately the build fails after a while:

Code: Select all

[...]
g++ -o Libs/build/linux2/g++/release/Models/Loader_cmdl.o -c -O3 -funsigned-char -Wall -Werror -Wno-char-subscripts -fno-strict-aliasing -DNDEBUG -DSCONS_BUILD_DIR=build/linux2/g++/release -ILibs -IExtLibs -IExtLibs/lua/src -IExtLibs/lwo -IExtLibs/jpeg Libs/Models/Loader_cmdl.cpp
g++ -o Libs/build/linux2/g++/release/Models/Loader_dlod.o -c -O3 -funsigned-char -Wall -Werror -Wno-char-subscripts -fno-strict-aliasing -DNDEBUG -DSCONS_BUILD_DIR=build/linux2/g++/release -ILibs -IExtLibs -IExtLibs/lua/src -IExtLibs/lwo -IExtLibs/jpeg Libs/Models/Loader_dlod.cpp
g++ -o Libs/build/linux2/g++/release/Models/Loader_dummy.o -c -O3 -funsigned-char -Wall -Werror -Wno-char-subscripts -fno-strict-aliasing -DNDEBUG -DSCONS_BUILD_DIR=build/linux2/g++/release -ILibs -IExtLibs -IExtLibs/lua/src -IExtLibs/lwo -IExtLibs/jpeg Libs/Models/Loader_dummy.cpp
g++ -o Libs/build/linux2/g++/release/Models/Loader_lwo.o -c -O3 -funsigned-char -Wall -Werror -Wno-char-subscripts -fno-strict-aliasing -DNDEBUG -DSCONS_BUILD_DIR=build/linux2/g++/release -ILibs -IExtLibs -IExtLibs/lua/src -IExtLibs/lwo -IExtLibs/jpeg Libs/Models/Loader_lwo.cpp
g++ -o Libs/build/linux2/g++/release/Models/Loader_md5.o -c -O3 -funsigned-char -Wall -Werror -Wno-char-subscripts -fno-strict-aliasing -DNDEBUG -DSCONS_BUILD_DIR=build/linux2/g++/release -ILibs -IExtLibs -IExtLibs/lua/src -IExtLibs/lwo -IExtLibs/jpeg Libs/Models/Loader_md5.cpp
g++ -o Libs/build/linux2/g++/release/Models/Loader_mdl.o -c -O3 -funsigned-char -Wall -Werror -Wno-char-subscripts -fno-strict-aliasing -DNDEBUG -DSCONS_BUILD_DIR=build/linux2/g++/release -ILibs -IExtLibs -IExtLibs/lua/src -IExtLibs/lwo -IExtLibs/jpeg Libs/Models/Loader_mdl.cpp
Libs/Models/Loader_lwo.cpp:208:18: error: 'Vector3fT myNormalize(const Vector3fT&)' defined but not used [-Werror=unused-function]
cc1plus: all warnings being treated as errors

scons: *** [Libs/build/linux2/g++/release/Models/Loader_lwo.o] Error 1
scons: building terminated because of errors.
Of course I have checked the dependencies. All neccessary packages are installed. The reason for above error should consequently be found somewhere else...

My g++ Version:

Code: Select all

g++ (GCC) 4.6.2 20120120 (prerelease)
Could my g++ be the cause?

Thanks alot for any advice!
Last edited by joe on 2012-02-28, 23:43, edited 2 times in total.
rellig
Posts: 4
Joined: 2011-11-24, 11:59

Re: Unable to compile Cafu on Arch 64-bit

Post by rellig » 2012-02-28, 15:59

same error here.

gentoo 64bit
gcc (Gentoo 4.5.3-r2 p1.0, pie-0.4.6) 4.5.3
User avatar
Carsten
Site Admin
Posts: 2160
Joined: 2004-08-19, 13:46
Location: Germany
Contact:

Re: Unable to compile Cafu on Arch 64-bit

Post by Carsten » 2012-02-28, 23:16

Sorry, this was an oversight from an earlier change.
Exactly as the error message says, the unused function caused a warning, which was treated as an error, which broke the compilation.

Please svn update to r483, which fixes the problem.

Many thanks for your report! :up:
Best regards,
Carsten
joe
Posts: 5
Joined: 2011-11-24, 12:48

Re: Unable to compile Cafu on Arch 64-bit

Post by joe » 2012-02-28, 23:42

All right, this did the trick :).
Post Reply

Who is online

Users browsing this forum: No registered users and 5 guests